/* Splatter.h by Bertrand-Xavier M. March 2007 */

#ifndef SPLATTER_H
#define SPLATTER_H

#ifdef __cplusplus

#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include "bitmap.h"

#define nb 4

class splatter
{
public:
	splatter(char *alpha, char **img, unsigned char *alt,
				unsigned char AX, unsigned char BX);
	~splatter(void);
	float limit255 (float a);
	float texture_factor(int h1, float h2);
private:
	unsigned char tAX, tBX;
};




extern "C"
{
#endif

	void createSplatter(char *alpha, char **img, unsigned char *alt,
				unsigned char AX, unsigned char BX);

#ifdef __cplusplus
}
#endif



#endif
